项目
GET https://scanflick.com/api/projects/
curl --request GET \
--url 'https://scanflick.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 按哪个字段搜索。允许的值为:name。 |
| datetime_field | 可选 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选 字符串 | 从此日期时间开始过滤结果。格式为 Y-m-d H:i:s。 |
| datetime_end | 可选 字符串 | 过滤至此日期时间。格式为 Y-m-d H:i:s。 |
| order_by | 可选 字符串 | 按哪个字段排序结果。允许的值为:project_id, datetime, last_datetime, name。 |
| order_type | 可选 字符串 | 结果排序方式。允许的值:ASC 表示升序,DESC 表示降序。 |
| page | 可选 整数 | 要获取结果的页码。默认值为 1。 |
| results_per_page | 可选 整数 | 每页返回多少条结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认值为 25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"last_datetime": null,
"datetime": "2026-10-01 01:09:53"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://scanflick.com/api/projects?page=1",
"last": "https://scanflick.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://scanflick.com/api/projects?page=1"
}
}
GET https://scanflick.com/api/projects/{project_id}
curl --request GET \
--url 'https://scanflick.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"last_datetime": null,
"datetime": "2026-10-01 01:09:53"
}
}
POST https://scanflick.com/api/projects
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 必需 字符串 | - |
| color | 可选 字符串 | - |
curl --request POST \
--url 'https://scanflick.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://scanflick.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"last_datetime": null,
"datetime": "2026-10-01 01:09:53"
}
}
POST https://scanflick.com/api/projects/{project_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 可选 字符串 | - |
| color | 可选 字符串 | - |
curl --request POST \
--url 'https://scanflick.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://scanflick.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"color": "#000000",
"last_datetime": null,
"datetime": "2026-10-01 01:09:53"
}
}
DELETE https://scanflick.com/api/projects/{project_id}
curl --request DELETE \
--url 'https://scanflick.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \